# Getting Started

### Reference Documentation

For further reference, please consider the following sections:

* [Official Apache Maven documentation](https://maven.apache.org/guides/index.html)
* [Spring Boot Maven Plugin Reference Guide](https://docs.spring.io/spring-boot/docs/2.5.4/maven-plugin/reference/html/)
* [Create an OCI image](https://docs.spring.io/spring-boot/docs/2.5.4/maven-plugin/reference/html/#build-image)

MQ 相关
1.src/main/java/com/qgs/dc/mq/configuration 包下新建 配置类。主要的作用的是在 MQ上新建队列（如果队列信息不存在的话），
水平扩展其他设备的时候 只要：control+R 然后 00B=>00C  然后replace all

2.src/main/java/com/qgs/dc/mq/consumer 包 下 新建 received 类，主要用于接收 队列的数据，主要是接收 eapRequest 队列、 mesResponse队列 数据。
基本不用改 只需要改：
    ① log.info信息 换上新设备信息； 
    ② @RabbitListener() 里面信息改一下 ; 
    ③ LoggerFactory.getLogger() 里面信息改一下; 
    ④ 注意mesResponse/eapRequest 队列都要区别对待的改 
3.修改mes 回调接口地址，数据采集中间件 收到的所有数据都会转发到这个接口里。
    Constant.mesCallBackUrl 
4.如果header 和 return 都不同，那需要改 src/main/java/com/qgs/dc/mq/entity/common这个包下的两个entity类，其他地方不需要改。
5.所有的所有业务都写在 mes 的回调接口里（就这个回调几口Constant.mesCallBackUrl），就一套 可以自行区分 哪些事件不同设备要区别对待
哪些事件 通用就可以。数据采集系统只负责 数据接收和转发
